Debian Bug report logs - #323913
ITP: tstat -- TCP STatistic and Analysis Tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marc Haber <mh+debian-bugs@zugschlus.de>

Date: Fri, 19 Aug 2005 08:18:01 UTC

Owned by: Markus Wirtz <debian@emwee.de>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: tstat -- TCP STatistic and Analysis Tool
Date: Fri, 19 Aug 2005 10:06:50 +0200
Package: wnpp
Severity: wishlist

* Package name    : tstat
  Version         : 1.01
  Upstream Author : Dario Rossi <dario.rossi@polito.it>
                    Marco Mella <mellia@polito.it>
* URL             : http://tstat.tlc.polito.it/
* License         : GPL [only explicitly stated in the code]
  Description     : TCP STatistic and Analysis Tool

Tstat analyzes network traffic and generates three different types of
measurement collections:

 -  Histograms storing the distribution of a given quantity during a time
    interval.
 -  Round Robin Database stores the same quantities, but uses the  RRD
    interface. 
 -  Log files storing a complete transport-level log of all the measured
    parameters.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <matrixhasu@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 323913@bugs.debian.org (full text, mbox):

From: Sandro Tosi <matrixhasu@gmail.com>
To: control@bugs.debian.org, 323913@bugs.debian.org, matrixhasu@gmail.com
Subject: ITP: tstat -- TCP STatistic and Analysis Tool
Date: Tue, 1 Aug 2006 21:44:40 +0200
retitle 323913 ITP: tstat -- TCP STatistic and Analysis Tool
owner 323913 !
thanks

I'm going to package this tool.

Sandro



Changed Bug title. Request was from Sandro Tosi <matrixhasu@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Sandro Tosi <matrixhasu@gmail.com>. Request was from Sandro Tosi <matrixhasu@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Sandro Tosi" <matrixhasu@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>. Full text and rfc822 format available.

Message #19 received at 323913@bugs.debian.org (full text, mbox):

From: "Sandro Tosi" <matrixhasu@gmail.com>
To: 323913@bugs.debian.org, "Dario Rossi" <dario.rossi@polito.it>, "Marco Mellia" <mellia@polito.it>
Subject: Man page for tstat
Date: Sat, 12 Aug 2006 18:28:30 +0200
Hi all,
I'm packaging tstat (version 1.01) for Debian, and during this
activities I've noticed that in this package tstat.man is missing but
is still referenced in:

Makefile.in:286:        $(INSTALL) -m 444 -o bin -g bin tstat.man
$(MANDIR)/man1/tstat.1

In 0.92 version package that file is present, but neither in 1.00 and
1.01 the file is there. Why did you remove it, and why is still
referenced? missing deletion in Makefile.in or wrong deletion of
tstat.man?

Since I have to provide a manpage for a debian package, I can upgrade
the existing one or you can provide one, if you got it. Let me know
who I can go on.

Thanks & Regards,
Sandro

-- 
Sandro Tosi (aka Morpheus, matrixhasu)
My (little) site: http://matrixhasu.altervista.org/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to mellia@tlc.polito.it:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>. Full text and rfc822 format available.

Message #24 received at 323913@bugs.debian.org (full text, mbox):

From: Mellia Marco <mellia@tlc.polito.it>
To: Sandro Tosi <matrixhasu@gmail.com>
Cc: 323913@bugs.debian.org, Dario Rossi <dario.rossi@polito.it>, Marco Mellia <mellia@polito.it>
Subject: Re: Man page for tstat
Date: Sun, 13 Aug 2006 15:55:50 +0200
Dear Sandro,

First, let me thank you for the job you are doing.
Considering the tstat manpage, we didn't update it since we are updating 
the HOWTO file. Since the Howto is wrinteen in POD, a manpage is 
available "for free". See
http://tstat.tlc.polito.it/HOWTO/HOWTO.man

I guess that you can include that one as manpage...

BTW, we plan to release a new version of Tstat by the end of September. 
Can we send it to you, so that you can update the debian package?

Do not hesitate to concact us if you need any further help.

Marco

> 
> Hi all,
> I'm packaging tstat (version 1.01) for Debian, and during this
> activities I've noticed that in this package tstat.man is missing but
> is still referenced in:
> 
> Makefile.in:286:        $(INSTALL) -m 444 -o bin -g bin tstat.man
> $(MANDIR)/man1/tstat.1
> 
> In 0.92 version package that file is present, but neither in 1.00 and
> 1.01 the file is there. Why did you remove it, and why is still
> referenced? missing deletion in Makefile.in or wrong deletion of
> tstat.man?
> 
> Since I have to provide a manpage for a debian package, I can upgrade
> the existing one or you can provide one, if you got it. Let me know
> who I can go on.
> 
> Thanks & Regards,
> Sandro
> 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Sandro Tosi" <matrixhasu@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>. Full text and rfc822 format available.

Message #29 received at 323913@bugs.debian.org (full text, mbox):

From: "Sandro Tosi" <matrixhasu@gmail.com>
To: 323913@bugs.debian.org, "Dario Rossi" <dario.rossi@polito.it>, "Marco Mellia" <mellia@polito.it>
Subject: Re: Man page for tstat
Date: Thu, 17 Aug 2006 01:11:56 +0200
[Message part 1 (text/plain, inline)]
Hi Marco,

> First, let me thank you for the job you are doing.
> Considering the tstat manpage, we didn't update it since we are updating
> the HOWTO file. Since the Howto is wrinteen in POD, a manpage is
> available "for free". See
> http://tstat.tlc.polito.it/HOWTO/HOWTO.man

So, since the manpage is no more included in your tarball, I suggest
to remove the manpage installation call from Makefile: what about?
(see further, anyhow)

> I guess that you can include that one as manpage...

I've taken the HOWTO.man (it's too much for a manpage...) and the old
manpage and I've forged a new one, that I attach to this email: you
can include it into you next release.

> BTW, we plan to release a new version of Tstat by the end of September.
> Can we send it to you, so that you can update the debian package?

Sure, you can notify me, and I'll upgrade the Debian package.

Best Regards,
Sandro

-- 
Sandro Tosi (aka Morpheus, matrixhasu)
My (little) site: http://matrixhasu.altervista.org/
[tstat.man (application/x-troff-man, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to mellia@tlc.polito.it:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>. Full text and rfc822 format available.

Message #34 received at 323913@bugs.debian.org (full text, mbox):

From: Mellia Marco <mellia@tlc.polito.it>
To: Sandro Tosi <matrixhasu@gmail.com>
Cc: 323913@bugs.debian.org, Dario Rossi <dario.rossi@polito.it>, Marco Mellia <mellia@polito.it>
Subject: Re: Man page for tstat
Date: Fri, 18 Aug 2006 15:29:34 +0200
Sandro Tosi wrote:
> Hi Marco,
> 
>> First, let me thank you for the job you are doing.
>> Considering the tstat manpage, we didn't update it since we are updating
>> the HOWTO file. Since the Howto is wrinteen in POD, a manpage is
>> available "for free". See
>> http://tstat.tlc.polito.it/HOWTO/HOWTO.man
> 
> 
> So, since the manpage is no more included in your tarball, I suggest
> to remove the manpage installation call from Makefile: what about?
> (see further, anyhow)

Given that you were so kind to update the manpage, what about including 
it in the tarball and then leave it in the Makefile as well?

>> I guess that you can include that one as manpage...
> 
> I've taken the HOWTO.man (it's too much for a manpage...) and the old
> manpage and I've forged a new one, that I attach to this email: you
> can include it into you next release.

It's definetively a nice man page. Thank you very much.

>> BTW, we plan to release a new version of Tstat by the end of September.
>> Can we send it to you, so that you can update the debian package?
> Sure, you can notify me, and I'll upgrade the Debian package.

I'll send you the updated version of tstat.
Once you have completed the debian package, we'll be pleased to link it 
from the tstat home page. Can you please send us a link to it then?

Ciao Marco e grazie mille!



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Sandro Tosi" <matrixhasu@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>. Full text and rfc822 format available.

Message #39 received at 323913@bugs.debian.org (full text, mbox):

From: "Sandro Tosi" <matrixhasu@gmail.com>
To: 323913@bugs.debian.org, "Dario Rossi" <dario.rossi@polito.it>, "Marco Mellia" <mellia@polito.it>
Subject: Re: Man page for tstat
Date: Sat, 19 Aug 2006 14:55:35 +0200
[Message part 1 (text/plain, inline)]
> > So, since the manpage is no more included in your tarball, I suggest
> > to remove the manpage installation call from Makefile: what about?
> > (see further, anyhow)
>
> Given that you were so kind to update the manpage, what about including
> it in the tarball and then leave it in the Makefile as well?

Yes, that was my idea: you can include the manpage in your futute
package, so that I will find next time I'll upgrade debian package.

> I'll send you the updated version of tstat.
> Once you have completed the debian package, we'll be pleased to link it
> from the tstat home page. Can you please send us a link to it then?

Sure, I'll send you the link.

At compile time, I recieve some warning (list attached to this email):
since you're releasing a new version, it could be a good time to fix
those.

Kind Regards,
Sandro

-- 
Sandro Tosi (aka Morpheus, matrixhasu)
My (little) site: http://matrixhasu.altervista.org/
[tstat.warning (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to mellia@tlc.polito.it:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>. Full text and rfc822 format available.

Message #44 received at 323913@bugs.debian.org (full text, mbox):

From: Mellia Marco <mellia@tlc.polito.it>
To: Sandro Tosi <matrixhasu@gmail.com>
Cc: 323913@bugs.debian.org, Dario Rossi <dario.rossi@polito.it>, Marco Mellia <mellia@polito.it>
Subject: Re: Man page for tstat
Date: Mon, 21 Aug 2006 15:31:18 +0200
Sandro Tosi wrote:
>> > So, since the manpage is no more included in your tarball, I suggest
>> > to remove the manpage installation call from Makefile: what about?
>> > (see further, anyhow)
>>
>> Given that you were so kind to update the manpage, what about including
>> it in the tarball and then leave it in the Makefile as well?
> 
> 
> Yes, that was my idea: you can include the manpage in your futute
> package, so that I will find next time I'll upgrade debian package.

We'll upgrade to man page as well.
Many thanks

>> I'll send you the updated version of tstat.
>> Once you have completed the debian package, we'll be pleased to link it
>> from the tstat home page. Can you please send us a link to it then?
> 
> Sure, I'll send you the link.
> 
> At compile time, I recieve some warning (list attached to this email):
> since you're releasing a new version, it could be a good time to fix
> those.

We already fixed most of them...
marco





Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 323913-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 323913-done@bugs.debian.org
Subject: WNPP bug closing
Date: Fri, 24 Aug 2007 11:59:51 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 323913
 stop

Further comments on the work done in the bug sent to
323913@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>. Full text and rfc822 format available.

Message #54 received at 323913@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: David Moreno Garza <damog@merkel.debian.org>, 323913@bugs.debian.org, 323913-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: WNPP bug closing
Date: Sat, 25 Aug 2007 10:40:24 +0200
reopen #323913 
thanks

Kindly think about a possibility to opt out of wnpp bug closing
procedures. This is a major nuisance.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Bug reopened, originator not changed. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. (Sat, 25 Aug 2007 08:43:02 GMT) Full text and rfc822 format available.

Message sent on to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug#323913. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@espiral.org.mx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>. Full text and rfc822 format available.

Message #64 received at 323913@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@espiral.org.mx>
To: Marc Haber <mh+debian-packages@zugschlus.de>
Cc: 323913@bugs.debian.org, 323913-submitter@bugs.debian.org
Subject: Re: WNPP bug closing
Date: Wed, 14 Nov 2007 16:38:56 -0500
On Sat, 2007-08-25 at 10:40 +0200, Marc Haber wrote:
> Kindly think about a possibility to opt out of wnpp bug closing
> procedures. This is a major nuisance. 

How is it 'major'?

--
David Moreno Garza <damog@espiral.org.mx> | http://www.damog.net/
 Pero eso lo sabes tú na' más y ahora todo Puerto Rico.






Message sent on to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug#323913. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sandro Tosi <matrixhasu@gmail.com>. Full text and rfc822 format available.

Message #72 received at 323913@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 323913@bugs.debian.org
Subject: ITP: tstat -- TCP STatistic and Analysis Tool
Date: Tue, 27 Nov 2007 12:15:34 +0100
[Message part 1 (text/plain, inline)]
Hi Sandro,

http://mentors.debian.net/debian/pool/main/t/tstat/

What is the distribution license of ns.c ?

Regards,

Bart Martens

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `RFP: tstat -- TCP STatistic and Analysis Tool' from `ITP: tstat -- TCP STatistic and Analysis Tool'. Request was from Sandro Tosi <matrixhasu@gmail.com> to control@bugs.debian.org. (Sat, 26 Jul 2008 14:39:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Sandro Tosi <matrixhasu@gmail.com>. Request was from Sandro Tosi <matrixhasu@gmail.com> to control@bugs.debian.org. (Sat, 26 Jul 2008 14:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323913; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Sandro Tosi" <matrixhasu@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #81 received at 323913@bugs.debian.org (full text, mbox):

From: "Sandro Tosi" <matrixhasu@gmail.com>
To: 323913@bugs.debian.org
Subject: Re: ITP: tstat -- TCP STatistic and Analysis Tool
Date: Sat, 26 Jul 2008 16:40:05 +0200
I renamed this to RFP since I'm no more interested in packaging it:
upstream didn't release any new version in years, so all the problems
are still there. A preliminary version (reeeeally old) can be found
here[1].

Thanks,
Sandro

[1] http://matrixhasu.altervista.org/debian/tstat_1.01-1.dsc

-- 
Sandro Tosi (aka morph, Morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323913; Package wnpp. (Sun, 12 Apr 2009 12:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduardo Ferro <eferro@alea-soluciones.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 12 Apr 2009 12:54:06 GMT) Full text and rfc822 format available.

Message #86 received at 323913@bugs.debian.org (full text, mbox):

From: Eduardo Ferro <eferro@alea-soluciones.com>
To: 323913@bugs.debian.org
Subject: ITP: tstat -- TCP STatistic and Analysis Tool
Date: Sun, 12 Apr 2009 14:50:31 +0200
retitle #323913 ITP: tstat -- TCP STatistic and Analysis Tool
owner #323913 !
thanks
-- 
Hasta otra!!!

    Eduardo Ferro Aldama
    Alea Soluciones




Changed Bug title to `ITP: tstat -- TCP STatistic and Analysis Tool' from `RFP: tstat -- TCP STatistic and Analysis Tool'. Request was from Eduardo Ferro <eferro@alea-soluciones.com> to control@bugs.debian.org. (Sun, 12 Apr 2009 13:30:06 GMT) Full text and rfc822 format available.

Owner recorded as Eduardo Ferro <eferro@alea-soluciones.com>. Request was from Eduardo Ferro <eferro@alea-soluciones.com> to control@bugs.debian.org. (Sun, 12 Apr 2009 13:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323913; Package wnpp. (Sun, 12 Apr 2009 23:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduardo Ferro <eferro@alea-soluciones.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 12 Apr 2009 23:30:02 GMT) Full text and rfc822 format available.

Message #95 received at 323913@bugs.debian.org (full text, mbox):

From: Eduardo Ferro <eferro@alea-soluciones.com>
To: mellia@polito.it, dario.rossi@enst.fr
Cc: 323913@bugs.debian.org
Subject: tstat copyright/license issues for deb package
Date: Mon, 13 Apr 2009 01:16:58 +0200
Hi.

I am working in the creation of a debian package for tstat. I am
working with the tstat 2.0.1.
At this point I have a functional packages (libtstat0_2.0.1-1_i386.deb
 libtstat-dev_2.0.1-1_i386.deb  tstat_2.0.1-1_i386.deb), but I have
some dudes about license/copyright of some files....
It would be great if this issues can be corrected / clarified (I can
help if desired)....

1) I have no references about the license of tstat/ns.c, the copyright
is from Kevin Lahey (kml@novell.com), but I don't know if the code is
released, public domain?, GPL?, BSD?, etc.... and this issue could be
a problem to use into a GPL soft.

2) The following files don't have a explicit note of copyright or license.
./include/libtstat.h
./tstat/DPMI.c
./tstat/jabber.c
./tstat/jabber.h
./tstat/msn.c
./tstat/msn.h
./tstat/ymsg.c
./tstat/ymsg.h

3) The file tstat/ipp2p_tstat.c have not clear copyright... because it contains:
 * Copyright (c) 2001-2008
 *	Politecnico di Torino.  All rights reserved.
 *
 * This code is derived from IPP2P, an  extension to iptables to identify P2P
 * traffic, written by Eicke Friedrich and Klaus Degner <ipp2p@ipp2p.org>
 * Original code available at http://ipp2p.org/

So, I not know how to describe this copyright.

4) Furthermore, I think that the license of this file
(tstat/ipp2p_tstat.c) should be a GPL-v2 (I think this is the license
from ipp2p.org), so it can be a problem to mix some files with GPL-2
and some with GPL-v3. So I think it is important to fix this license,
because It can affect to the overall license (GPL-v2 / GPL-v3)

5) The tstat license seems to be GPL-v3, but a lot of files have the
previous license/copyright note for GPL-v2, so I suppose that the
migration to GPL-v3 is not complete (See
http://www.fsf.org/licensing/licenses/gpl-faq.html#v3HowToUpgrade for
further detail)

Any news/changes/info regarding this issues would be appreciated.
Thanks in advance....
Best regards


Sorry for my English
-- 
Hasta otra!!!

    Eduardo Ferro Aldama
    Alea Soluciones




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Eduardo Ferro <eferro@alea-soluciones.com>:
Bug#323913; Package wnpp. (Fri, 17 Apr 2009 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Mellia <mellia@tlc.polito.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Eduardo Ferro <eferro@alea-soluciones.com>. (Fri, 17 Apr 2009 21:15:03 GMT) Full text and rfc822 format available.

Message #100 received at 323913@bugs.debian.org (full text, mbox):

From: Marco Mellia <mellia@tlc.polito.it>
To: Eduardo Ferro <eferro@alea-soluciones.com>
Cc: mellia@polito.it, dario.rossi@enst.fr, 323913@bugs.debian.org, "Maurizio Munafo`" <munafo@polito.it>, finale80@gmail.com
Subject: Re: tstat copyright/license issues for deb package
Date: Fri, 17 Apr 2009 23:13:13 +0200
Hi Eduardo,

Thanks for pointing out these licensing issues. My understanding about
the problem is probably not high, but
after some discussion here I think GPLv2 is fine for us.
BTW, we are going to release a new version of tstat in the next days.
And we'll fix all license issue there.
If you'd like to test it, you can refer to the svn version which is in
the trunk branch.
We'll also send you an email when the new version will be ready.
Thanks again,
Marco

On Mon, Apr 13, 2009 at 1:16 AM, Eduardo Ferro
<eferro@alea-soluciones.com> wrote:
>
>
> Hi.
>
> I am working in the creation of a debian package for tstat. I am
> working with the tstat 2.0.1.
> At this point I have a functional packages (libtstat0_2.0.1-1_i386.deb
>  libtstat-dev_2.0.1-1_i386.deb  tstat_2.0.1-1_i386.deb), but I have
> some dudes about license/copyright of some files....
> It would be great if this issues can be corrected / clarified (I can
> help if desired)....
>
> 1) I have no references about the license of tstat/ns.c, the copyright
> is from Kevin Lahey (kml@novell.com), but I don't know if the code is
> released, public domain?, GPL?, BSD?, etc.... and this issue could be
> a problem to use into a GPL soft.
>
> 2) The following files don't have a explicit note of copyright or license.
> ./include/libtstat.h
> ./tstat/DPMI.c
> ./tstat/jabber.c
> ./tstat/jabber.h
> ./tstat/msn.c
> ./tstat/msn.h
> ./tstat/ymsg.c
> ./tstat/ymsg.h
>
> 3) The file tstat/ipp2p_tstat.c have not clear copyright... because it contains:
>  * Copyright (c) 2001-2008
>  *      Politecnico di Torino.  All rights reserved.
>  *
>  * This code is derived from IPP2P, an  extension to iptables to identify P2P
>  * traffic, written by Eicke Friedrich and Klaus Degner <ipp2p@ipp2p.org>
>  * Original code available at http://ipp2p.org/
>
> So, I not know how to describe this copyright.
>
> 4) Furthermore, I think that the license of this file
> (tstat/ipp2p_tstat.c) should be a GPL-v2 (I think this is the license
> from ipp2p.org), so it can be a problem to mix some files with GPL-2
> and some with GPL-v3. So I think it is important to fix this license,
> because It can affect to the overall license (GPL-v2 / GPL-v3)
>
> 5) The tstat license seems to be GPL-v3, but a lot of files have the
> previous license/copyright note for GPL-v2, so I suppose that the
> migration to GPL-v3 is not complete (See
> http://www.fsf.org/licensing/licenses/gpl-faq.html#v3HowToUpgrade for
> further detail)
>
> Any news/changes/info regarding this issues would be appreciated.
> Thanks in advance....
> Best regards
>
>
> Sorry for my English
> --
> Hasta otra!!!
>
>    Eduardo Ferro Aldama
>    Alea Soluciones
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Eduardo Ferro <eferro@alea-soluciones.com>:
Bug#323913; Package wnpp. (Tue, 25 May 2010 17:21:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Eduardo Ferro <eferro@alea-soluciones.com>. (Tue, 25 May 2010 17:21:42 GMT) Full text and rfc822 format available.

Message #105 received at 323913@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 323913@bugs.debian.org
Cc: control@bugs.debian.org
Subject: tstat: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:06 +0000
retitle 323913 RFP: tstat -- TCP STatistic and Analysis Tool
noowner 323913
thanks

Hi,

This is an automatic email to change the status of tstat back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting tstat, please send a mail to
<control@bugs.debian.org> with:

 retitle 323913 ITP: tstat -- TCP STatistic and Analysis Tool
 owner 323913 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <323913@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: tstat -- TCP STatistic and Analysis Tool' from 'ITP: tstat -- TCP STatistic and Analysis Tool' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:26:24 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Eduardo Ferro <eferro@alea-soluciones.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:26:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#323913; Package wnpp. (Thu, 26 Aug 2010 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Taylor <ctaylor@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 26 Aug 2010 17:39:03 GMT) Full text and rfc822 format available.

Message #114 received at 323913@bugs.debian.org (full text, mbox):

From: Chris Taylor <ctaylor@debian.org>
To: 323913@bugs.debian.org, control@bugs.debian.org
Subject: RFP: tstat -- TCP STatistic and Analysis Tool
Date: Thu, 26 Aug 2010 10:32:01 -0700
retitle 323913 ITP: tstat -- TCP STatistic and Analysis Tool
owner 323913 !
thanks

I will take a look at packing the newest version of tstat

-Chris




Changed Bug title to 'ITP: tstat -- TCP STatistic and Analysis Tool' from 'RFP: tstat -- TCP STatistic and Analysis Tool' Request was from Chris Taylor <ctaylor@debian.org> to control@bugs.debian.org. (Thu, 26 Aug 2010 17:39:07 GMT) Full text and rfc822 format available.

Owner recorded as Chris Taylor <ctaylor@debian.org>. Request was from Chris Taylor <ctaylor@debian.org> to control@bugs.debian.org. (Thu, 26 Aug 2010 17:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Chris Taylor <ctaylor@debian.org>:
Bug#323913; Package wnpp. (Wed, 27 Jul 2011 16:26:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Chris Taylor <ctaylor@debian.org>. (Wed, 27 Jul 2011 16:26:37 GMT) Full text and rfc822 format available.

Message #123 received at 323913@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 323913@bugs.debian.org
Cc: control@bugs.debian.org
Subject: tstat: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 323913 RFP: tstat -- TCP STatistic and Analysis Tool
noowner 323913
thanks

Hi,

This is an automatic email to change the status of tstat back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting tstat, please send a mail to
<control@bugs.debian.org> with:

 retitle 323913 ITP: tstat -- TCP STatistic and Analysis Tool
 owner 323913 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <323913@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: tstat -- TCP STatistic and Analysis Tool' from 'ITP: tstat -- TCP STatistic and Analysis Tool' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:44:27 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Chris Taylor <ctaylor@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:44:27 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: tstat -- TCP STatistic and Analysis Tool' from 'RFP: tstat -- TCP STatistic and Analysis Tool' Request was from Markus Wirtz <debian@emwee.de> to control@bugs.debian.org. (Tue, 17 Dec 2013 15:21:04 GMT) Full text and rfc822 format available.

Owner recorded as Markus Wirtz <debian@emwee.de>. Request was from Markus Wirtz <debian@emwee.de> to control@bugs.debian.org. (Tue, 17 Dec 2013 15:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#323913; Package wnpp. (Tue, 17 Dec 2013 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wirtz <debian@emwee.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 17 Dec 2013 15:27:04 GMT) Full text and rfc822 format available.

Message #136 received at 323913@bugs.debian.org (full text, mbox):

From: Markus Wirtz <debian@emwee.de>
To: 323913@bugs.debian.org, "control@bugs.debian.org" <control@bugs.debian.org>
Subject: RFP: tstat -- TCP STatistic and Analysis Tool
Date: Tue, 17 Dec 2013 16:19:49 +0100
retitle 323913 ITP: tstat -- TCP STatistic and Analysis Tool
owner 323913 !
thanks

I will take a look at the current status of tstat.

Markus.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:07:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.